Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class ServletProviderContext

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.ServletProviderContext

public class ServletProviderContext
extends java.lang.Object
implements ParameterMap

A `ServletProviderContext` contains a set of parameters pertaining to the state of the context in which the `Provider` is running. The values are `Object`s mapped to `String` names. These parameters may be altered by use of the appropriate methods.

Constructor Summary
`ServletProviderContext(javax.servlet.ServletConfig sc)` Constructs this `ServletProviderContext` object.

Method Summary
`boolean` | `containsParameter(java.lang.String parameterName)` Returns true if this `ServletProviderContext` contains a mapping to the specified name.
`java.util.Enumeration` | `getParameterNames()` Returns an `Enumeration` of the parameter names belonging to this `ServletProviderContext` object, this may then be used to fetch the parameters sequentially.
`java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Gets the parameter mapped to the supplied name.
`void` | `putParameter(java.lang.String parameterName, java.lang.Object parameterValue)` Puts the specified parameter into this `ServletProviderContext` mapped to the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletProviderContext

    public ServletProviderContext(javax.servlet.ServletConfig sc)

  Constructs this `ServletProviderContext` object.
  Parameters:
    `sc` - the `ServletConfig` object.

Method Detail

### getParameterValue

    public java.lang.Object getParameterValue(java.lang.String parameterName)

  Gets the parameter mapped to the supplied name. If a matching parameter is not found, null is returned.
  Specified by:
    getParameterValue in interface ParameterMap
  Parameters:
    `parameterName` - the parameter name.

### putParameter

    public void putParameter(java.lang.String parameterName,
                             java.lang.Object parameterValue)

  Puts the specified parameter into this `ServletProviderContext` mapped to the specified name.
  Parameters:
    `parameterName` - parameter name mapped to the specified parameter.
    `parameterValue` - parameter to be mapped to specified name.

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Returns an `Enumeration` of the parameter names belonging to this `ServletProviderContext` object, this may then be used to fetch the parameters sequentially.
  Specified by:
    getParameterNames in interface ParameterMap
  Returns:
    an `Enumeration` of the parameter names.

### containsParameter

    public boolean containsParameter(java.lang.String parameterName)

  Returns true if this `ServletProviderContext` contains a mapping to the specified name.
  Specified by:
    containsParameter in interface ParameterMap
  Parameters:
    `parameterName` - parameter name to search for.
  Returns:
    true if a mapping to the specified name is found, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD